// creator  : weidu.exe (version 23100)
// argument : BARL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BARL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from:
  SAY #24398 /* ~This is ludicrous! Who in the Hells are you?~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 36
END

IF ~~ THEN BEGIN 1 // from:
  SAY #24399 /* ~I shall not leave myself in your hands. You'll not take me alive, halfling wench!~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 37
END

IF ~~ THEN BEGIN 2 // from:
  SAY #24400 /* ~Talona is my mistress. She will save me.~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 38
END

IF ~~ THEN BEGIN 3 // from:
  SAY #24401 /* ~All of you shall die! The glory of affliction shall anoint you and your fall will add to Talona's black glory!~ */
  IF ~~ THEN DO ~SetGlobal("BarlAttacks","GLOBAL",1)~ UNSOLVED_JOURNAL #34691 /* ~Save Mazzy's sister, Pala

The Temple Superior at the Waukeenar temple agreed to search Barl's chambers, and returned to report that he had found alchemical equipment... as well as a holy symbol to Talona, the goddess of poisons.  Barl as much as admitted his guilt and attacked us.~ */ EXIT
END

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~!Dead("Faldorn")~ THEN BEGIN 4 // from:
  SAY #44485 /* ~Hmph.  Begone!  I have many duties to perform and no time to waste on one such as you!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~Dead("Faldorn")~ THEN BEGIN 5 // from:
  SAY #44486 /* ~Yes... heroes, are you?  Well, heroes, go and do something heroic and leave me well enough alone!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Global("SearchBarl","GLOBAL",2)~ THEN BEGIN 6 // from:
  SAY #46921 /* ~What is it, Overgold? I am quite busy.~ */
  IF ~~ THEN DO ~SetGlobal("SearchBarl","GLOBAL",3)~ EXTERN ~TEMSUP~ 22
END

IF ~~ THEN BEGIN 7 // from:
  SAY #46923 /* ~You should never have entered my chambers, old man.~ */
  IF ~~ THEN EXTERN ~TEMSUP~ 23
END

IF ~~ THEN BEGIN 8 // from:
  SAY #46925 /* ~I refuse to listen to this. Get rid of these fools, Overgold.~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 35
END
